Bug 27571 - "Add to lists" on MARC and ISBD view of OPAC detail page doesn't open in new window
Summary: "Add to lists" on MARC and ISBD view of OPAC detail page doesn't open in new ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-28 23:13 UTC by Katrin Fischer
Modified: 2021-02-11 21:49 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09


Attachments
Bug 27571: "Add to lists" on MARC and ISBD view of OPAC detail page doesn't open in new window (1.66 KB, patch)
2021-01-29 13:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27571: "Add to lists" on MARC and ISBD view of OPAC detail page doesn't open in new window (1.71 KB, patch)
2021-01-29 18:17 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27571: "Add to lists" on MARC and ISBD view of OPAC detail page doesn't open in new window (1.77 KB, patch)
2021-01-31 12:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-01-28 23:13:52 UTC
When adding a record to a list from the MARC or ISBD view, the add to list functionality doesn't open in a new window, but the page is reloaded.
Comment 1 Owen Leonard 2021-01-29 13:25:17 UTC
Created attachment 116027 [details] [review]
Bug 27571: "Add to lists" on MARC and ISBD view of OPAC detail page doesn't open in new window

This page corrects the global click handler in the OPAC so that all
"addtoshelf" links will work correctly to trigger the popup window for
adding titles to a list.

To test, apply the patch and test the process of adding a title to a
list in the OPAC from various places:

- Search results
- Bibliographic detail page (normal)
- Bibliographic detail page (MARC view)
- Bibliographic detail page (ISBD view)

Test both adding to an existing list and adding to a new list.
Everything should work correctly.
Comment 2 Lucas Gass 2021-01-29 18:17:13 UTC
Created attachment 116068 [details] [review]
Bug 27571: "Add to lists" on MARC and ISBD view of OPAC detail page doesn't open in new window

This page corrects the global click handler in the OPAC so that all
"addtoshelf" links will work correctly to trigger the popup window for
adding titles to a list.

To test, apply the patch and test the process of adding a title to a
list in the OPAC from various places:

- Search results
- Bibliographic detail page (normal)
- Bibliographic detail page (MARC view)
- Bibliographic detail page (ISBD view)

Test both adding to an existing list and adding to a new list.
Everything should work correctly.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-01-31 12:42:53 UTC
Created attachment 116092 [details] [review]
Bug 27571: "Add to lists" on MARC and ISBD view of OPAC detail page doesn't open in new window

This page corrects the global click handler in the OPAC so that all
"addtoshelf" links will work correctly to trigger the popup window for
adding titles to a list.

To test, apply the patch and test the process of adding a title to a
list in the OPAC from various places:

- Search results
- Bibliographic detail page (normal)
- Bibliographic detail page (MARC view)
- Bibliographic detail page (ISBD view)

Test both adding to an existing list and adding to a new list.
Everything should work correctly.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2021-01-31 12:43:05 UTC
Thx for the quick fix!
Comment 5 Jonathan Druart 2021-02-01 16:27:26 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-02-05 15:59:09 UTC
Pushed to 20.11.x for 20.11.03
Comment 7 Andrew Fuerste-Henry 2021-02-09 21:10:50 UTC
Pushed to 20.05.x for 20.05.09
Comment 8 Victor Grousset/tuxayo 2021-02-11 03:00:06 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.